﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace ComicsEditor
{
    public class PageInfo
    {
        public ComicInfo ComicInfo;

        public string Type;
        public bool DoublePage;
        public string Date;

        public string FileName;
        public string Key;
        public string URL;
        public string SaveKey;

        public long Size;
        public byte[] Hash;

        public Image Preview;
        public Image Image;
        public string ViewName;

        public Page Page;

        public List<Frame> Frames = new List<Frame>();
        public List<Balloon> Balloons = new List<Balloon>();
        public List<Text> Texts = new List<Text>();

        public delegate void FrameCallback(Frame frame);
        public FrameCallback FrameCreate;
        public FrameCallback FrameSelect;

        public delegate void BalloonCallback(Balloon balloon);
        public BalloonCallback BalloonCreate;
        public BalloonCallback BalloonSelect;

        public delegate void TextCallback(Text text);
        public TextCallback TextCreate;
        public TextCallback TextSelect;
    }
}
